#if !defined(_ADATA_CONFIGRW_H)
#define _ADATA_CONFIGRW_H

#include "platform.h"
#include "device.h"
#include "ioctls.h"

extern OS_STATUS
ADMXRC_ReadConfig(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_READCONFIG* pIoctl,
  unsigned long inSize,
  unsigned long outSize);

extern OS_STATUS
ADMXRC_WriteConfig(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_WRITECONFIG* pIoctl,
  unsigned long inSize);

#endif
