#if !defined(_ADATA_DMA_H)
#define _ADATA_DMA_H

#include "platform.h"
#include "device.h"
#include "ioctls.h"

/*
** IOCTL handlers
*/

extern OS_STATUS
ADMXRC_DoDMA(
  DeviceContext* devCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_DODMA* pIoctl,
  unsigned long inSize,
  unsigned long outSize);

extern OS_STATUS
ADMXRC_DoDMA2D(
  DeviceContext* devCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_DODMA2D* pIoctl,
  unsigned long inSize,
  unsigned long outSize);

extern OS_STATUS
ADMXRC_DoDMAImmediate(
  DeviceContext* devCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_DODMAIMMEDIATE* pIoctl,
  unsigned long inSize,
  unsigned long outSize);

extern OS_STATUS
ADMXRC_DoDMAImmediate2D(
  DeviceContext* devCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_DODMAIMMEDIATE2D* pIoctl,
  unsigned long inSize,
  unsigned long outSize);

#endif
