#if !defined(_ADATA_INFO_H)
#define _ADATA_INFO_H

#include "device.h"
#include "ioctls.h"

extern OS_STATUS
ADMXRC_GetBankInfo(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_GETBANKINFO* pIoctl,
  unsigned long inSize,
  unsigned long outSize);

extern OS_STATUS
ADMXRC_GetCardInfo2(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_GETCARDINFO2* pIoctl,
  unsigned long outSize);

extern OS_STATUS
ADMXRC_GetFpgaInfo(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_GETFPGAINFO* pIoctl,
  unsigned long inSize,
  unsigned long outSize);

extern OS_STATUS
ADMXRC_GetGeographicalInfo(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_GETGEOGRAPHICALINFO* pIoctl,
  unsigned long outSize);

extern OS_STATUS
ADMXRC_GetSpaceInfo(
  DeviceContext* pDevCtx,
  ClientContext* pClCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_GETSPACEINFO* pIoctl,
  unsigned long inSize,
  unsigned long outSize);

extern OS_STATUS 
ADMXRC_GetVersionInfo(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_GETVERSIONINFO* pIoctl,
  unsigned long outSize);

#endif
