#if !defined(_ADATA_LOADFPGA_H)
#define _ADATA_LOADFPGA_H

#include "platform.h"
#include "device.h"
#include "ioctls.h"

extern OS_STATUS
ADMXRC_LoadFPGA(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq);

extern OS_STATUS
ADMXRC_LoadFPGAExt(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_LOADFPGAEXT* pIoctl,
  unsigned long inSize);

extern OS_STATUS
ADMXRC_LoadFPGADMA(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_LOADFPGADMA* pIoctl,
  unsigned long inSize);

extern OS_STATUS
ADMXRC_LoadFPGADMAExt(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_LOADFPGADMAEXT* pIoctl,
  unsigned long inSize);

#endif
