#if !defined(_ADATA_SPACECONFIG_H)
#define _ADATA_SPACECONFIG_H

/*
** spaceconfig.h - IOCTL handlers for:
**
**   ADMXRC2_GetSpaceConfig
**   ADMXRC2_SetSpaceConfig
*/

#include "device.h"

extern OS_STATUS
ADMXRC_GetSpaceConfig(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_GETSPACECONFIG* pIoctl,
  unsigned long inSize,
  unsigned long outSize);

extern OS_STATUS
ADMXRC_SetSpaceConfig(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_SETSPACECONFIG* pIoctl,
  unsigned long inSize);

#endif
